Bug 214266 - (perl-Moose-Policy) Review Request: perl-Moose-Policy - Moose-mounted police
Review Request: perl-Moose-Policy - Moose-mounted police
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/Moose-Pol...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-06 15:26 EST by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 12:30:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-11-06 15:26:59 EST
SRPM URL: http://home.comcast.net/~ckweyl/perl-Moose-Policy-0.02-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Moose-Policy.spec

Description:
This module allows you to specify your project-wide or even company-wide
Moose meta-policy.

Most all of Moose's features can be customized through the use of custom
metaclasses, however fiddling with the metaclasses can be hairy. Moose::Policy
removes most of that hairiness and makes it possible to cleanly contain a set
of meta-level customizations in one easy to use module.

This is an early release of this module and it should not be considered to be
complete by any means. It is very basic implemenation at this point and will
likely get more feature-full over time, as people request features. So if you
have a suggestion/need/idea, please speak up.
Comment 1 Jason Tibbitts 2006-11-13 12:12:21 EST
I know that's what the documentation says, but the %description is a bit
suboptimal.  How about "Specify project-wide or site-wide Moose meta-policy"?
Not that it makes much more sense, but it at least describes what the module
does instead of making it sound as if the software joins your computer to the
RCMP computing facilities or something.  But I'll leave that up to you.

* source files match upstream:
   11b2e835e4b97563c4e459475bf9df90  Moose-Policy-0.02.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Moose::Policy) = 0.02
   perl(Moose::Policy::FollowPBP)
   perl(Moose::Policy::FollowPBP::Attribute)
   perl(Moose::Policy::JavaAccessors)
   perl(Moose::Policy::JavaAccessors::Attribute)
   perl(Moose::Policy::SingleInheritence)
   perl(Moose::Policy::SingleInheritence::MetaClass)
   perl-Moose-Policy = 0.02-1.fc7
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Moose)
   perl(Scalar::Util)
   perl(constant)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful.
   Files=9, Tests=95,  2 wallclock secs ( 2.04 cusr +  0.20 csys =  2.24 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Chris Weyl 2006-11-13 12:30:05 EST
Summary updated -- RCMP has no jurisdition here ;)

Imported and building for devel; branches requested for FC5&6.  Thanks for the
review!

Note You need to log in before you can comment on or make changes to this bug.